Xubuntu 20.04: Qt Library

José Abílio Matos jamatos at lyx.org
Sat Dec 12 19:25:47 UTC 2020


On Friday, December 11, 2020 5:32:44 PM WET Richard Kimberly Heck wrote:
> I'm a little puzzled why you would need that. LyX uses Qt, yes, but
> packages like that typically involve some kind of communication between
> Qt and Gtk. I don't know why LyX would need that.

I would expect for those packages to be packages related with theme-ing of qt 
applications when running in a gtk environment. So since XFCE uses gtk that 
could be the reason.

So those packages are only relevant if you want the look of the different 
toolkit packages to be the same.

But lyx does not connects directly to them, the relation is indirect, lyx uses 
qt that can talk to the gtk environment to get the right theme.

So when building the binaries lyx will never use those packages. They are used 
just at run time.

So no, those packages are not needed to compile lyx.
-- 
José Abílio
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.lyx.org/pipermail/lyx-users/attachments/20201212/4dffb0df/attachment.html>


More information about the lyx-users mailing list